View Issue Details

IDProjectCategoryView StatusLast Update
0004078SOGoBackend Address Bookpublic2017-05-09 08:32
Reportercedric.archambeau Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSUbuntuOS Version14.04 LTS
Product Versionnightly master 
Fixed in Version3.2.9 
Summary0004078: AddresBook: LDAP mapping attribute ou (Department) proxy error
Description

Hi,

Since I upgrade 3.2.7 to 3.2.8 (nightly), I can't declare ldap adressbook with an "ou" (Department) mapping: I get a proxy error (web addressbook and dav)

The same ldap key on "o" (Organisation) is OK.

Thanks.

Ref 3.2.7: https://sogo.nu/files/docs/SOGoInstallationGuide.html#_ldap_attributes_mapping

Steps To Reproduce

sogo.conf

//Proxy error :
mapping = {
ou = ("departmentNumber");
};

//Ok:
mapping = {
o = ("departmentNumber");
};

TagsNo tags attached.

Activities

francis

francis

2017-03-23 15:19

administrator   ~0011567

Try with the latest nightly build. If it still fails, show the relevant log entries.

cedric.archambeau

cedric.archambeau

2017-03-23 18:04

reporter  

4078_sogo_ldap_ou.log (1,682 bytes)   
//Not found if using ou = ("departmentNumber");
Mar 23 22:45:54 sogod [39338]: |SOGo| starting method 'GET' on uri '/SOGo/so/c***@****.org/Contacts/**/b***.m*****@*****.org/view'
Mar 23 22:45:54 sogod [39338]: <0x0x55fcc1cdfbd0[NGLdapConnection]> Using ldap_initialize for LDAP URL: ldap://**************************:389/????!StartTLS ldap://*******************:389/????!StartTLS
2017-03-23 22:45:54.291 sogod[39338] -[NGLdapConnection _searchAtBaseDN:qualifier:attributes:scope:]: search at base 'o=****,dc=******,dc=**' filter '(*****=b******.*****@***************.org)' for attrs '*'
Mar 23 22:45:54 sogod [39338]: [WARN] <0x0x7f389780bcc0[WOxElemBuilder]> could not locate builders: WOxExtElemBuilder,WOxExtElemBuilder
2017-03-23 22:45:54.312 sogod[39338] EXCEPTION: <NSException: 0x55fcc1d99560> NAME:NSInvalidArgumentException REASON:Tried to add nil to array INFO:(null)
 

//OK if using o = ("departmentNumber"); 
Mar 23 22:55:59 sogod [39846]: |SOGo| starting method 'GET' on uri '/SOGo/so/c***@****.org/Contacts/**/b***.m*****@*****.org/view'
Mar 23 22:55:59 sogod [39846]: <0x0x55ee442a1740[NGLdapConnection]> Using ldap_initialize for LDAP URL: ldap://**************************:389/????!StartTLS ldap://*******************:389/????!StartTLS
2017-03-23 22:55:59.226 sogod[39846] -[NGLdapConnection _searchAtBaseDN:qualifier:attributes:scope:]: search at base 'o=****,dc=******,dc=**' filter '(*****=b******.*****@***************.org)' for attrs '*'
Mar 23 22:55:59 sogod [39846]: |SOGo| request took 0.032945 seconds to execute
Mar 23 22:55:59 sogod [39846]: xx.xx.xx.xx "GET /SOGo/so/c***@****.org/Contacts/**/b***.m*****@*****.org/view HTTP/1.1" 200 611/0 0.034 - - 0
4078_sogo_ldap_ou.log (1,682 bytes)   
cedric.archambeau

cedric.archambeau

2017-03-23 18:06

reporter   ~0011570

Thanks Francis for your reply.

I attached a log with ou (nok) and o (ok).

I did it with this:
SOGoDebugRequests = YES;
LDAPDebugEnabled = YES;
SOGoUIxDebugEnabled = YES;

Tell me if I should activate some more.

cedric.archambeau

cedric.archambeau

2017-03-23 18:09

reporter   ~0011571

Sorry, I forgot to mention that it still fails after upgrade to last nightly build.

cedric.archambeau

cedric.archambeau

2017-05-08 17:05

reporter   ~0011803

Fixed with last nightly build (or one before), thanks.

Issue History

Date Modified Username Field Change
2017-03-10 06:16 cedric.archambeau New Issue
2017-03-23 15:19 francis Note Added: 0011567
2017-03-23 18:04 cedric.archambeau File Added: 4078_sogo_ldap_ou.log
2017-03-23 18:06 cedric.archambeau Note Added: 0011570
2017-03-23 18:09 cedric.archambeau Note Added: 0011571
2017-05-08 17:05 cedric.archambeau Note Added: 0011803
2017-05-09 08:32 francis Status new => resolved
2017-05-09 08:32 francis Fixed in Version => 3.2.9
2017-05-09 08:32 francis Resolution open => fixed
2017-05-09 08:32 francis Assigned To => francis